aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristoph Junghans <ottxor@gentoo.org>2013-10-22 17:40:12 -0600
committerChristoph Junghans <ottxor@gentoo.org>2013-10-22 17:40:12 -0600
commit2b69780cb238faea98251100ca3c84103ffe839e (patch)
tree92183b9220fd7249dcb41c7d9c076d2163996c6d
parentremove duplicated license (diff)
downloadsci-2b69780cb238faea98251100ca3c84103ffe839e.tar.gz
sci-2b69780cb238faea98251100ca3c84103ffe839e.tar.bz2
sci-2b69780cb238faea98251100ca3c84103ffe839e.zip
added 0.1 version
Package-Manager: portage-2.2.7
-rw-r--r--sci-misc/simx/ChangeLog6
-rw-r--r--sci-misc/simx/Manifest1
-rw-r--r--sci-misc/simx/files/simx-0.1-python-check.patch27
-rw-r--r--sci-misc/simx/simx-0.1.ebuild38
-rw-r--r--sci-misc/simx/simx-9999.ebuild14
5 files changed, 82 insertions, 4 deletions
diff --git a/sci-misc/simx/ChangeLog b/sci-misc/simx/ChangeLog
index ad190212d..a2b652ec2 100644
--- a/sci-misc/simx/ChangeLog
+++ b/sci-misc/simx/ChangeLog
@@ -2,6 +2,12 @@
# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*simx-0.1 (22 Oct 2013)
+
+ 22 Oct 2013; Christoph Junghans <ottxor@gentoo.org>
+ +files/simx-0.1-python-check.patch, +simx-0.1.ebuild, simx-9999.ebuild:
+ added 0.1 version
+
22 Oct 2013; Christoph Junghans <ottxor@gentoo.org> simx-9999.ebuild:
fixed deps
diff --git a/sci-misc/simx/Manifest b/sci-misc/simx/Manifest
new file mode 100644
index 000000000..cdce293c5
--- /dev/null
+++ b/sci-misc/simx/Manifest
@@ -0,0 +1 @@
+DIST simx-0.1.tar.gz 586678 SHA256 ea9d9d9dbeb96d94391b77d4ca3d237524f5f6217cf38ffa1300c6becbe7fe91 SHA512 59ee36de32d6098a1fb6d91f2bacc3bed62abbf37fb2dd7437aeddd2ae9766f10ae49c9e3aa1f32556c5c667fefb23c7165c61fd113773a6022d9b2013a3eaaa WHIRLPOOL 25c8e47c656775525567b0e0b8d19455d662b97d508efe6ae68c5b5b16c101890be3489cab34dc8e87563bdefcb83dd323b6bf86cbf47f5883b888e17d5a131b
diff --git a/sci-misc/simx/files/simx-0.1-python-check.patch b/sci-misc/simx/files/simx-0.1-python-check.patch
new file mode 100644
index 000000000..6e40ae0fa
--- /dev/null
+++ b/sci-misc/simx/files/simx-0.1-python-check.patch
@@ -0,0 +1,27 @@
+From b8a606460fddc050d0df7aa0e8dfedd3dedb90a8 Mon Sep 17 00:00:00 2001
+From: Christoph Junghans <junghans@lanl.gov>
+Date: Mon, 21 Oct 2013 19:02:17 -0600
+Subject: [PATCH] fixed cmake python checks
+
+---
+ CMakeLists.txt | 4 ++--
+ 1 file changed, 2 insertions(+), 2 deletions(-)
+
+diff --git a/CMakeLists.txt b/CMakeLists.txt
+index 5e17b01..6e92faa 100644
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -51,8 +51,8 @@ link_directories(${Boost_LIBRARY_DIRS})
+
+
+ # for python
+-find_package(PythonInterp REQUIRED VERSION 2)
+-find_package(PythonLibs REQUIRED VERSION 2)
++find_package(PythonInterp 2 REQUIRED)
++find_package(PythonLibs 2 REQUIRED)
+ include_directories(${PYTHON_INCLUDE_DIRS} ${PYTHON_INCLUDE_DIR} ${PYTHON_INCLUDE_PATH})
+ link_directories(${PYTHON_LIBRARY_DIRS})
+
+--
+1.8.1.5
+
diff --git a/sci-misc/simx/simx-0.1.ebuild b/sci-misc/simx/simx-0.1.ebuild
new file mode 100644
index 000000000..6e7586af2
--- /dev/null
+++ b/sci-misc/simx/simx-0.1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_6,2_7} )
+
+inherit cmake-utils distutils-r1
+
+if [ "${PV}" = "9999" ]; then
+ EGIT_REPO_URI="git://github.com/sim-x/simx.git http://github.com/sim-x/simx.git"
+ inherit git-2
+ KEYWORDS=""
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64"
+fi
+
+DESCRIPTION="a library for developing parallel, discrete-event simulations in Python"
+HOMEPAGE="https://github.com/sim-x"
+
+SLOT="0"
+LICENSE="LGPL-2.1"
+IUSE=""
+
+RDEPEND=" virtual/mpi
+ dev-libs/boost[python]
+ dev-python/greenlet"
+DEPEND="${RDEPEND}
+ dev-util/cmake"
+
+src_prepare() {
+ # don't do egg install
+ sed -i 's/self.do_egg_install()/_install.install.run(self)/' setup.py || die
+
+ epatch "${FILESDIR}/${P}-python-check.patch"
+}
diff --git a/sci-misc/simx/simx-9999.ebuild b/sci-misc/simx/simx-9999.ebuild
index 246731d11..ad6411a83 100644
--- a/sci-misc/simx/simx-9999.ebuild
+++ b/sci-misc/simx/simx-9999.ebuild
@@ -6,16 +6,22 @@ EAPI=5
PYTHON_COMPAT=( python{2_6,2_7} )
-inherit cmake-utils distutils-r1 git-2
+inherit cmake-utils distutils-r1
+
+if [ "${PV}" = "9999" ]; then
+ EGIT_REPO_URI="git://github.com/sim-x/simx.git http://github.com/sim-x/simx.git"
+ inherit git-2
+ KEYWORDS=""
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64"
+fi
DESCRIPTION="a library for developing parallel, discrete-event simulations in Python"
HOMEPAGE="https://github.com/sim-x"
-SRC_URI=""
-EGIT_REPO_URI="git://github.com/sim-x/simx.git http://github.com/sim-x/simx.git"
SLOT="0"
LICENSE="LGPL-2.1"
-KEYWORDS=""
IUSE=""
RDEPEND=" virtual/mpi